Bug 860611 - Freezed and/or black Xorg output (with cursor) on G72M with nouveau on 2nd display configuration (multihead) [NEEDINFO]
Freezed and/or black Xorg output (with cursor) on G72M with nouveau on 2nd di...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 05:56 EDT by Jacobo Cabaleiro
Modified: 2014-09-13 14:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 12:28:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mholec: needinfo? (obmun.h)


Attachments (Terms of Use)
Dmesg output for the detailed situation described on bugreport (86.52 KB, text/plain)
2012-09-26 05:57 EDT, Jacobo Cabaleiro
no flags Details
XOrg log for the detailed situation described on bugreport (31.58 KB, text/plain)
2012-09-26 05:57 EDT, Jacobo Cabaleiro
no flags Details

  None (edit)
Description Jacobo Cabaleiro 2012-09-26 05:56:08 EDT
I was executing the multihead test case on the nouveau driver, using 2012/09/25 testday LiveCD, on a notebook with GeForce Go 7300, playing with the notebook panel and an external VGA-connected LCD (http://www.smolts.org/client/show/pub_9d7fe254-01da-40af-ab77-93ed9260d8a4).

On various occasions, when disconnecting or repositioning the displays using the display configuration tool of Gnome, I experience freezing or blacking out of Xorg display. VT worked fine and HW cursor remained. Sometimes, Xorg would recover after some minutes.

--- ---
Example detailed description for one of the run
s:
* Correctly hot-connect the external LCD to the notebook.
* Enabled it, changed its position (left to the notebook display, right to it ...), move windows to it ... No problem.
(*) When I _disconnected_ it from the notebook, without having previously disabled it on Gnome display properties, the notebook screen went black, but cursor was available and moving. VT terminals were alive and usable.

Coming back and forth from the VT to the Xorg tty did not solve anything; Xorg display remained black. If I connected again the external LCD to the notebook, the LCD was recognized and correctly modeset, added to X, but it had the same black image on it, except for the HW cursor, which was also available on this display.

After approximately 2 minutes without, Xorg came back, apparently OK.
But I reconnected the external display to the VGA (operation that worked) and tried to execute a glxgears on the re-added second display. At the beginning the glxgears showed properly, but when I resized the glxgears window, the image on all displays _freezed_ and only the HW cursor moved correctly. I went back to the VT, which was working fine, and when returned to the X TTY, both displays were once more black + HW cursor.

Attached dmesg and Xorg log correspond to this situation.
--- ---

This display freezing problems are consistently reproducible on my notebook
Comment 1 Jacobo Cabaleiro 2012-09-26 05:57:07 EDT
Created attachment 617488 [details]
Dmesg output for the detailed situation described on bugreport
Comment 2 Jacobo Cabaleiro 2012-09-26 05:57:49 EDT
Created attachment 617489 [details]
XOrg log for the detailed situation described on bugreport
Comment 3 Martin 2013-06-11 12:34:35 EDT
Jacobo, are you able to reproduce it on latest Fedora 18 or 19?
Comment 4 Fedora End Of Life 2013-12-21 03:57:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.